# -*- rpm-spec -*-
# $Id: util-linux.spec,v 1.4 2005/04/06 23:48:53 ivan Exp ivan $

%define main_ver 2.12q
Name: util-linux
Version: %main_ver
Release: alt1

%def_without hwclock
%def_without getopt
%def_without chsh_chfn
%def_without vipw_vigr
%def_without newgrp
%def_with nfsv4

#RH: 'raw' support is deprecated, only ship it if we need compatibility stuff.
%def_without raw

Summary: A collection of basic system utilities
License: GPL
Group: System/Base
Url: ftp://ftp.kernel.org/pub/linux/utils/%name
Packager: Util-linux Development Team <util-linux@packages.altlinux.org>

Source: %name-%version.tar.bz2
Source3: %name-2.10-chfn.pamd
Source4: %name-2.10-chsh.pamd

# Extra utils.
Source10: pause.s
Source11: chstk.c
Source12: stacktest.c
Source13: nologin.c
Source14: nologin.8

Source21: mount.control
Source22: write.control

Source100: old_changelog

#General Patches
Patch0: %name-2.12q-up-20050910-fixes.patch
Patch1: %name-2.11o-nochkdupexe.patch
Patch2: %name-2.9v-nonroot.patch
Patch3: %name-2.11t-mdk-moretc.patch
Patch4: %name-2.11w-alt-tinfo.patch
Patch5: %name-2.12-alt-pg.patch
Patch6: %name-2.10q-texinfo.patch
Patch7: %name-2.11a-gecossize.patch
Patch8: %name-2.12a-rh-partlimit.patch
Patch9: %name-2.11f-rh-rawman.patch
Patch10: %name-2.11y-rh-skipraid2.patch
Patch11: %name-2.11y-rh-fdisksegv-103954.patch

#Owl
Patch40: %name-2.12p-owl-alt-mtab-umask.patch
Patch41: %name-2.10r-owl-write.patch

#splitting
Patch50: %name-2.11h-noclock.patch
Patch51: %name-2.11z-nogetopt.patch

#mount patches
Patch100: %name-2.12p-rh-swaponsymlink-57300.patch
Patch101: %name-2.12-mdk-largefile.patch
#http://www.stwing.org/~sluskyb/util-linux/losetup-combined.patch
Patch102: %name-2.12p-cryptoloop.patch
Patch103: %name-2.12p-alt-encryption.patch

#new
Patch201: %name-2.12p-alt-lseek64.patch 
Patch202: %name-2.12p-rh-raw-handle-nonpresent-devs.patch
Patch203: %name-2.12a-rh-mountbylabel-dm.patch
#new our crypto fixes

# nfs4 patches from citi
Patch300: %name-2.12p-alt-citi-01-nfs.patch
Patch301: %name-2.12p-alt-citi-02-nfs4.patch
Patch302: %name-2.12p-alt-citi-03-krb5.patch
Patch303: %name-2.12p-alt-citi-04-multiple-sec-flavours.patch
Patch304: %name-2.12p-alt-citi-05-mount-sloppy-fix.patch
Patch305: %name-2.12p-alt-citi-06-rh-nfsmount.patch

# FIXME seems make behaviour was changed in beta2
Patch400: %name-2.12p-alt-make.patch

Obsoletes: tunelp
PreReq: control
#Requires: hwclock, getopt, kbdrate, agetty, cfdisk, fdisk, sfdisk

Requires(post): %install_info
Requires(preun): %uninstall_info

Conflicts: initscripts <= 4.58, timeconfig <= 3.0.1

#for old kernels
Provides: /usr/sbin/rdev

# Automatically added by buildreq on Wed Oct 16 2002
BuildRequires: libncurses-devel libpam-devel libtinfo-devel zlib-devel

%description
The %name package contains a large variety of low-level system utilities
that are necessary for a Linux system to function.

%package -n mount
Summary: Programs for mounting and unmounting filesystems
Group: System/Base
PreReq: control

%description -n mount
The %name package contains the mount, umount, swapon and swapoff
programs.  Accessible files on your system are arranged in one big
tree or hierarchy.  These files can be spread out over several
devices. The mount command attaches a filesystem on some device to
your system's file tree.  The umount command detaches a filesystem
from the tree.  Swapon and swapoff, respectively, specify and disable
devices and files for paging and swapping.

%package -n losetup
Summary: Programs for setting up and configuring loopback devices
Group: System/Base
Requires: hashalot

%description -n losetup
Linux supports a special block device called the loop device, which
maps a normal file onto a virtual block device.  This allows for the
file to be used as a "virtual file system" inside another file.
Losetup is used to associate loop devices with regular files or block
devices, to detach loop devices and to query the status of a loop device.

%package -n agetty
Summary: Alternative Linux getty
Group: System/Base
Requires: login

%description -n agetty
The alternative getty program for Linux.

%package -n cfdisk
Summary: The partitioning program with ncurses interface
Group: System/Configuration/Hardware

%description -n cfdisk
Small user-friendly ncurses-based partitioning program, which will help you
to partition your disk easily.

%package -n fdisk
Summary: The Partitioning Program
Group: System/Configuration/Hardware

%description -n fdisk
Small partitioning program with command line interface, that will be hard
for linux newbie, but it is extra stable, and you can trust it.

%package -n sfdisk
Summary: Partitioning program with argument interface
Group: System/Configuration/Hardware

%description -n sfdisk
Small partitioning program with argument interface, that will be hard
for linux newbie, but it is extra stable, and you can trust it.

%if_with hwclock
%package -n hwclock
Summary: Query and set the hardware clock
License: GPL
Group: System/Base
%ifarch alpha sparc sparc64
Obsoletes: clock
%endif

%description -n hwclock
Hwclock is a program that runs under Linux and sets and queries the
Hardware Clock, which is often called the Real Time Clock, RTC, or
CMOS clock.

You can set the Hardware Clock to a particular time or from the Linux
System Time.  You can set the Linux System Time from the Hardware
Clock, and a typical usage is to invoke Hwclock from a system startup
script to initialize the System Time.

Hwclock's --adjust function corrects systematic drift in the Hardware
Clock.  You just invoke it regularly and it corrects for a fast or
slow Hardware Clock.  Hwclock automatically computes how fast or slow
the Hardware Clock is every time you set it.

Hwclock uses /dev/rtc if it is available.  Otherwise, it uses its own
direct I/O to do what the rtc device driver would normally do.
%endif #with hwclock


%if_with getopt
%package -n getopt
Version: 1.1.2
Release: alt1
Summary: An improved implementation of getopt
Group: System/Base
Url: http://huizen.dds.nl/~frodol/getopt.html

%description -n getopt
An improved implementation of getopt(1), a program to parse
options within a shell script. Fully compatible with other
getopt(1) implementations, but with many additions like
long options and mixing of options and parameters.
%endif #with getopt


%package -n look
Summary: Program to display lines beginning with a given string
Version: %main_ver
Group: System/Base
Requires: words

%description -n look
The look utility displays any lines in file which contain string as a prefix.

%prep
%setup -q

#setup config
%__subst 's,^HAVE_PAM=.*,HAVE_PAM=yes,
s,^HAVE_SHADOW=.*,HAVE_SHADOW=no,
s,^HAVE_PASSWD=.*,HAVE_PASSWD=yes,
s,^HAVE_KILL=.*,HAVE_KILL=yes,
s,^HAVE_FDUTILS=.*,HAVE_FDUTILS=yes,
s,^[#[:space:]]*HAVE_SLANG=.*,HAVE_SLANG=no,
s,^SUIDMODE=.*,SUIDMODE=       4711,
s,^INSTALLSUID.*,INSTALLSUID=    $(INSTALL) -m $(SUIDMODE),
' MCONFIG
%if_with raw
echo "ADD_RAW=yes">>MCONFIG
%endif
#end setup config


#begin general
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%if_with raw
%patch9 -p1
%endif
%patch10 -p1
%patch11 -p1
#end general

#begin owl
%patch40 -p1
%patch41 -p1
#end owl



%if_without hwclock
rm -rf hwclock
%patch50 -p1
grep -v '^hwclock/' po/POTFILES.in >po/POTFILES.in.tmp && mv -f po/POTFILES.in.tmp po/POTFILES.in
%endif #without hwclock

%if_with getopt
# We do not want dependencies on csh
chmod a-x getopt*/*.*sh
%else #without getopt
rm -rf getopt*
%patch51 -p1
grep -v '^getopt.*/' po/POTFILES.in >po/POTFILES.in.tmp && mv -f po/POTFILES.in.tmp po/POTFILES.in
%endif #with getopt


#begin mount
%patch100 -p1
%patch101 -p1
%patch102 -p1
%patch103 -p1
mv mount/README.mount mount/README
#end mount

#begin new
%patch201 -p1

%if_with raw
%patch202 -p1
%endif

%patch203 -p1
#end new

# nfsv4
%if_with nfsv4
%patch300 -p1
%patch301 -p1
%patch302 -p1
%patch303 -p1
%patch304 -p1
%patch305 -p1
%endif

%patch400 -p1

#begin agetty
mkdir -p agetty
mv login-utils/README.getty agetty/README
mv login-utils/README.modems-with-agetty agetty/modems-with-agetty.README
#end agetty

#begin *fdisk
mkdir -p {c,s}fdisk
mv fdisk/README.fdisk fdisk/README
mv fdisk/README.cfdisk cfdisk/README
mv fdisk/sfdisk.examples sfdisk/examples
#end *fdisk

install -p -m644 %SOURCE10 %SOURCE11 %SOURCE12 .

find -type f -name '*.[1-9]' -print0 |
	xargs -r0 %__grep -FZl /usr/man |
	xargs -r0 %__subst 's|/usr/man|%_mandir|g'

#nologin
install -p -m644 %SOURCE13 %SOURCE14 .

%build
%add_optflags -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
%configure
%make_build OPT="$RPM_OPT_FLAGS" LDFLAGS=

pushd sys-utils
	makeinfo ipc.texi
popd

pushd rescuept
	gcc $RPM_OPT_FLAGS -o rescuept rescuept.c
popd

gcc -nostartfiles -nodefaultlibs -nostdlib pause.s -o pause
gcc $RPM_OPT_FLAGS chstk.c -o chstk
gcc $RPM_OPT_FLAGS stacktest.c -o stacktest
gcc $RPM_OPT_FLAGS -o nologin nologin.c

mkdir -p docs
install -p -m644 */README.* docs
install -p -m644 rescuept/README docs/README.rescuept

%install
mkdir -p $RPM_BUILD_ROOT/{bin,sbin,etc/pam.d}
mkdir -p $RPM_BUILD_ROOT{%_bindir,%_sbindir,%_libdir,%_infodir,%_mandir/man{1,8}}

for f in `cd po; echo *.po`; do
	mkdir -p $RPM_BUILD_ROOT%_datadir/locale/${f%.po}/LC_MESSAGES
done

%make_install install \
	DESTDIR=$RPM_BUILD_ROOT \
	MANDIR=$RPM_BUILD_ROOT%_mandir \
	INFODIR=$RPM_BUILD_ROOT%_infodir

%ifarch sparc sparc64
rm -rf $RPM_BUILD_ROOT%_bindir/sunhostid
cat << E-O-F > $RPM_BUILD_ROOT%_bindir/sunhostid
#!/bin/sh
 this should be /usr/bin/sunhostid or somesuch.
 Copyright 1999 Peter Jones, <pjones@redhat.com> .
 GPL and all that good stuff apply.
(
idprom=\`cat /proc/openprom/idprom\`
echo \$idprom|dd bs=1 skip=2 count=2
echo \$idprom|dd bs=1 skip=27 count=6
echo
) 2>/dev/null
E-O-F
chmod 755 $RPM_BUILD_ROOT%_bindir/sunhostid
%endif

%if_with chsh_chfn
install -p -m640 $RPM_SOURCE_DIR/%name-2.10-chsh.pamd $RPM_BUILD_ROOT%_sysconfdir/pam.d/chsh
install -p -m640 $RPM_SOURCE_DIR/%name-2.10-chsh.pamd $RPM_BUILD_ROOT%_sysconfdir/pam.d/chfn
%endif

install -pD -m755 $RPM_SOURCE_DIR/mount.control $RPM_BUILD_ROOT/etc/control.d/facilities/mount
install -pD -m755 $RPM_SOURCE_DIR/write.control $RPM_BUILD_ROOT/etc/control.d/facilities/write

install -p -m755 rescuept/rescuept $RPM_BUILD_ROOT%_sbindir
install -p -m755 pause chstk stacktest $RPM_BUILD_ROOT%_bindir
install -p -m755 nologin $RPM_BUILD_ROOT/sbin/
install -p -m644 nologin.8 $RPM_BUILD_ROOT%_man8dir/

# This has dependencies on stuff in /usr
%ifnarch sparc sparc64 sparcv9
mv $RPM_BUILD_ROOT/sbin/cfdisk $RPM_BUILD_ROOT%_sbindir/
%endif

%if_with hwclock
	%__rm -f $RPM_BUILD_ROOT/sbin/clock
	%__ln_s hwclock $RPM_BUILD_ROOT/sbin/clock
%endif #with hwclock

pushd $RPM_BUILD_ROOT

%if_with chsh_chfn
	chmod 4711 .%_bindir/ch{sh,fn}
%else #without chsh_chfn
	rm -fv .{%_bindir/ch{sh,fn},%_man1dir/ch{sh,fn}.*}
%endif #with chsh_chfn
%if_without vipw_vigr
	rm -fv .{%_sbindir/vi{pw,gr},%_man8dir/vi{pw,gr}.*}
%endif #without vipw_vigr
%if_with newgrp
	chmod 4711 .%_bindir/newgrp
%else #without newgrp
	rm -fv .{%_bindir/newgrp,%_man1dir/newgrp.*}
%endif #with newgrp

# goes to glibc
rm -f ./sbin/sln
# goes to sh-utils
rm -f .%_mandir/man1/hostid.1*
# goes to procps
rm -f .%_mandir/man1/kill.1*

%ifnarch alpha %ix86 ia64 x86_64
rm -f ./sbin/sfdisk
rm -f .%_man8dir/sfdisk.8*
%endif

%ifnarch alpha armv4l %ix86 x86_64
rm -f .%_bindir/cytune
rm -f .%_man8dir/cytune.8*
%endif

%ifnarch %ix86
rm -f .%_sbindir/{rdev,ramsize,rootflags,swapdev,vidmode}
rm -f .%_man8dir/{rdev,ramsize,rootflags,swapdev,vidmode}.8*
%endif

%ifnarch sparc sparc64
rm -f .%_bindir/sunhostid
%endif

chmod 755 ./bin/login

popd

%find_lang %name

#bindir
echo '%_defattr' >>%name.lang
/bin/ls -1 $RPM_BUILD_ROOT%_bindir |
	egrep -v '^(write|getopt|look)$' |
	sed -e 's|^\(.*\)$|%%_bindir/\1|g' >>%name.lang

#sbindir
/bin/ls -1 $RPM_BUILD_ROOT%_sbindir |
        egrep -v 'cfdisk' |
        sed -e 's|^\(.*\)$|%%_sbindir/\1|g' >>%name.lang

# mandir
/bin/ls -1 $RPM_BUILD_ROOT%_man1dir |
	egrep -v '^(getopt|login|look)' |
	sed -e 's|^\(.*\)$|%%_mandir/man1/\1*|g' >>%name.lang
/bin/ls -1 $RPM_BUILD_ROOT%_man8dir |
	egrep -v '(mount|^swapo|losetup|clock|getty|fdisk)' |
	sed -e 's|^\(.*\)$|%%_man8dir/\1*|g' >>%name.lang

#/bin
/bin/ls -1 $RPM_BUILD_ROOT/bin |
	egrep -v '(login|mount)' |
	sed -e 's|^\(.*\)$|/bin/\1|g' >>%name.lang

#/sbin
/bin/ls -1 $RPM_BUILD_ROOT/sbin |
	egrep -v '(^swapo|^losetup|clock|getty|fdisk)' |
	sed -e 's|^\(.*\)$|/sbin/\1|g' >>%name.lang

# Remove unpackaged files (to pass RPM check):
rm $RPM_BUILD_ROOT/bin/login $RPM_BUILD_ROOT/usr/share/man/man1/login.*

%pre
[ $1 -eq 1 ] || /usr/sbin/control-dump write

%post
[ $1 -eq 1 ] || /usr/sbin/control-restore write
%install_info ipc.info

%preun
%uninstall_info ipc.info

%pre -n mount
[ $1 -eq 1 ] || /usr/sbin/control-dump mount

%post -n mount
[ $1 -eq 1 ] || /usr/sbin/control-restore mount

%files -f %name.lang
%doc MAINTAINER HISTORY docs/*
%if_with chsh_chfn
%config(noreplace) %_sysconfdir/pam.d/ch??
%endif #with chsh_chfn
%config /etc/control.d/facilities/write
%attr(2711,root,tty) %_bindir/write
%_infodir/*.info*

%files -n mount
%config /etc/control.d/facilities/mount
/bin/*mount
/sbin/swapo*
%_man5dir/*
%_man8dir/*mount*
%_man8dir/swapo*
%doc mount/README

%files -n losetup
/sbin/losetup
%_man8dir/losetup*

%if_with hwclock
%files -n hwclock
/sbin/*clock
%_mandir/man?/*clock.*
%doc hwclock/README*
%endif #with hwclock

%if_with getopt
%files -n getopt
%_bindir/getopt
%_man1dir/getopt.*
%doc getopt*/{Changelog,README,TODO,*.*sh}
%endif #with getopt

%files -n agetty
/sbin/agetty
%_man8dir/agetty.*
%doc agetty/*

%files -n cfdisk
%_sbindir/cfdisk
%_man8dir/cfdisk.*
%doc cfdisk/*

%files -n fdisk
/sbin/fdisk
%_man8dir/fdisk.*
%doc fdisk/README

%files -n sfdisk
/sbin/sfdisk
%_man8dir/sfdisk.*
%doc sfdisk/*

%files -n look
%_bindir/look
%_man1dir/look.*

%changelog
* Tue Sep 13 2005 Dmitry V. Levin <ldv@altlinux.org> 2.12q-alt1
- Updated to util-linux-2.12r-pre1.

* Tue May 24 2005 Dmitry V. Levin <ldv@altlinux.org> 2.12p-alt4
- Added x86_64 support (mouse).

* Thu Apr  7 2005 Ivan Zakharyaschev <imz@altlinux.ru> 2.12p-alt3
- kbdrate is now packaged in kbd package.
- URL changed according to 
  ftp://ftp.win.tue.nl/pub/linux-local/utils/util-linux/README-site-change.

* Sat Mar 12 2005 Sergey Bolshakov <sbolshakov@altlinux.ru> 2.12p-alt2
- NFSv4 support for mount(1) resurrected

* Wed Feb 09 2005 Stanislav Ievlev <inger@altlinux.org> 2.12p-alt1
- 2.12p
    dropped patches:
    	(1) config - we use subst for it now
	(10) procpartitions-37436 - delusion from RH
	(11) rev-manpage - unreproducable now
	(12) sysmap-85407 - upstream
	(17) fdisk-arm - upstream
	(18) rbind - upstream
	(206) rc_pipefs - unused in RH
	(207) mountman - upstream
    replaced:
    	(9) miscfixes->partlimit - some fixes already in upstream

* Fri Jun 25 2004 Stanislav Ievlev <inger@altlinux.org> 2.12a-alt4
- added support for "rbind" in mount options

* Thu Jun 24 2004 Stanislav Ievlev <inger@altlinux.org> 2.12a-alt3
- added requires for (un)install_info

* Wed Mar 31 2004 Stanislav Ievlev <inger@altlinux.ru> 2.12a-alt2
- fix hashalot usage
- added keygen option for losetup
- join several crypto fixes into one

* Wed Mar 31 2004 Stanislav Ievlev <inger@altlinux.org> 2.12a-alt1
- 2.12a
  updated patches:
    (9) misc_fixes - upstream
  dropped patches:
    (13) umount-75421 - upstream
    (14) ipcs-84243-86285 - upstream
    (15) blkgetsize-81069 - upstream
    (16) ownerumount - upstream
    (203) idecd-102114 - upstream
    (208) mount-97381 - upstream
    (204) nfs - broken
    (205) base-nfsv4 - broken

  added patches:
    (210) lomount - added support for 2.2 kernels in lomount

* Wed Mar 03 2004 Stanislav Ievlev <inger@altlinux.org> 2.12-alt1
- 2.12
  updated patches:
    (1) config - don't build kill (now in coreutils package)
    (6) pg - added support for rxvt like terminals in my_vidputs
    (9) miscfixes - updated by creator
    (40) mtab-umask - updated in my_setmntent (077 -> 033 to have previous behavior)
    (102) largefile - reapplied
    (103) cryptoapi - replace with patch by Ben Slusky
  dropped patches:
    (10) chfn-lsb-usergoups - we don't pack chfn/chsh
    (12) x86_64 - upstream
    (101) kudzu - we don't need this strange patch
    (105) autodav - we don't need such functionality
- also added several new pathes (from RH) with minor fixes
  TODO: build mkcramfs as a separate package (if we will use it)
  TODO: kbdrate will be replaced by kbdrate from kbd package

* Mon Oct 20 2003 Stanislav Ievlev <inger@altlinux.ru> 2.11z-alt1.2
- added patch for arm architectures

* Fri Apr 25 2003 Stanislav Ievlev <inger@altlinux.ru> 2.11z-alt1.1
- added provides to /usr/sbin/rdev

* Wed Apr 16 2003 Stanislav Ievlev <inger@altlinux.ru> 2.11z-alt1
- dropped pathes:
    (11)  locales_fr - merged
    (202) help_device - merged
    (203) dumboctal - uneeded/merged
    (204) mkfsman - unneeded
    (205) disable-static - we'll fix work with sln in other way
    (101) nolock-docs uneeded
    (104) swapon - removed by creator (RH)
    (105) swapoff - same
    (108) alt-symlinks - merged
    (109) user_label_umount - removed by creator (RH)
    (110) netdev - merged
- updated pathes:
    (1)   alt-config
    (9)   mdk-rh-miscfixes
    (12)  procpartitions-37436
    (51)  nogetopt
    (200) mdk-autodav
- may be remove in future:
    (101) kudzu
- also added several new pathes with minor fixes

* Mon Feb 10 2003 Stanislav Ievlev <inger@altlinux.ru> 2.11w-alt3
- added missing dep on words (needs for look program)
- moved look into separate package to reduce base system size
- fixed rev manpage (mdoc warnings)

* Thu Oct 17 2002 Dmitry V. Levin <ldv@altlinux.org> 2.11w-alt2
- Added wheelonly case to mount/umount control.

* Wed Oct 16 2002 Stanislav Ievlev <inger@altlinux.ru> 2.11w-alt1
- Updated to 2.11w.
- Disabled static linking.
- Use upstream version of cramfs.
- review patches:
  * 2.10j-glibc - dropped
  * 2.9i-fdiskwarning - dropped
  * 2.11t-mdk-moretc - updated
  * 2.11w-alt-tinfo - updated
  * 2.11w-alt-pg - new (to prevent using of full ncurses)
  * 2.11r-mdk-miscfixes - updated
  * all s390 pathes - dropped
  * 2.11-fdisk-l - dropped
  * 2.11-fdisk_extended - dropped
  * 2.10r-owl-restrict-locale - dropped
  * 2.11w-owl-alt-mtab-umask - new
  * 2.11w-rh-swaponsymlink-57300 - updated
  * 2.11t-rh-mdk-swapoff - updated
  * 2.11u-rh-mdk-netdev - updated
  * 2.11n-fstabperm-61868 - dropped (in upstream now)
  * 2.11n-autosmb-32132 - dropped (in upstream now)
  * 2.11t-mdk-autodav - new
  * 2.11u-mdk-x86_64 - new
  * 2.11u-mdk-help_device - new
  * 2.11t-mdk-dumboctal - new
  * 2.11t-mdk-mkfsman - new
- Fixed nologin manpage (empty line at the end of file).
- Added control support for mount/umount and write.

* Wed Jul 10 2002 Stanislav Ievlev <inger@altlinux.ru> 2.11r-alt5
- New and updated patches from RH

* Sun Jun 30 2002 Dmitry V. Levin <ldv@altlinux.org> 2.11r-alt4
- Patched to link with libtinfo.

* Tue Jun 04 2002 Stanislav Ievlev <inger@altlinux.ru> 2.11r-alt3
- removed all additional requirements: we no longer need it.

* Thu May 23 2002 Stanislav Ievlev <inger@altlinux.ru> 2.11r-alt2
- Updated crypto patch.

* Tue May 21 2002 Stanislav Ievlev <inger@altlinux.ru> 2.11r-alt1
- s390 patches unmaintained, so move it under ifarch
- old changelogs moved to old_changelog file

* Tue Dec 18 2001 Stanislav Ievlev <inger@altlinux.ru> 2.11m-alt1
- removed some old and login ralated patches
- 2.11m
- some new patches from MDK and RH
- new kbdrate
- new crypto patch

* Mon Oct 01 2001 Stanislav Ievlev <inger@altlinux.ru> 2.11j-alt1
- 2.11j
- new patches from RH and MDK
- disable patch105 (all work have made in patch 25)

* Mon Aug 27 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.11h-alt3
- Moved chsh, chfn, vipw, vigr, newgrp to shadow-utils.
- Moved login to separate subpackage.
- Moved agetty to separate subpackage.
- Moved cfdisk, fdisk and sfdisk to separate subpackages (nidd).
- Added kbdrate-usermode subpackage with consolehelpr bindings.

* Mon Aug 06 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.11h-alt2
- Moved getopt to separate package.
- Moved kbdrate to separate subpackage.
- Packaged util-linux without setfdparm (now in fdutils).
- Built cfdisk with ncurses instead of slang.

* Thu Jul 26 2001 Stanislav Ievlev <inger@altlinux.ru> 2.11h-alt1
- 2.11h

* Fri Jun 29 2001 Stanislav Ievlev <inger@altlinux.ru> 2.11g-alt1
- 2.11g. We don't need #110 patch for mount now.

* Mon Jun 25 2001 Stanislav Ievlev <inger@altlinux.ru> 2.11f-alt2
- Enable symlinks resolving.

* Thu Jun 14 2001 Stanislav Ievlev <inger@altlinux.ru> 2.11f-alt1
- 2.11f. Merge with mount

* Sat Jun 09 2001 Stanislav Ievlev <inger@altlinux.ru> 2.11e-alt1
- 2.11e

* Fri May 25 2001 Stanislav Ievlev <inger@altlinux.ru> 2.11d-alt1
- 2.11d

* Thu May 17 2001 Stanislav Ievlev <inger@altlinux.ru> 2.11b-alt1
- 2.11b. Added patches from Owl. Program hwclock now in separate package.

* Sun Mar 11 2001 Dmitry V. Levin <ldv@fandra.org> 2.11a-ipl1mdk
- 2.11a

* Fri Mar 09 2001 Dmitry V. Levin <ldv@fandra.org> 2.11-ipl1mdk
- 2.11
- Cleaned up few patches.

* Sun Feb 25 2001 Dmitry V. Levin <ldv@fandra.org> 2.10s-ipl2mdk
- Merged RH patches.

* Sun Jan 28 2001 Dmitry V. Levin <ldv@fandra.org> 2.10s-ipl1mdk
- 2.10s

* Tue Dec 19 2000 Dmitry V. Levin <ldv@fandra.org> 2.10r-ipl2mdk
- Added utils: pause chstk stacktest.

* Wed Dec 06 2000 Dmitry V. Levin <ldv@fandra.org> 2.10r-ipl1mdk
- 2.10r.
- Removed vipath patch (more program).

* Tue Nov 14 2000 Dmitry V. Levin <ldv@fandra.org> 2.10q-ipl1mdk
- 2.10q.
- Fixed texinfo documentation.

* Mon Oct 23 2000 Dmitry V. Levin <ldv@fandra.org> 2.10p-ipl1mdk
- 2.10p.

* Thu Oct 12 2000 Dmitry V. Levin <ldv@fandra.org> 2.10o-ipl5mdk
- Updated pam configuration.
- Automatically added BuildRequires.

* Tue Aug 29 2000 Dmitry V. Levin <ldv@fandra.org> 2.10o-ipl4mdk
- Fixed IPC info entry even better.
- Changed license to GPL.

* Mon Aug 21 2000 Dmitry V. Levin <ldv@fandra.org> 2.10o-ipl3mdk
- Fixed IPC info entry.

* Wed Aug 16 2000 Dmitry V. Levin <ldv@fandra.org> 2.10o-ipl2mdk
- Cleanup of files section, added few missed files.

* Sun Aug 13 2000 Dmitry V. Levin <ldv@fandra.org> 2.10o-ipl1mdk
- 2.10o.

* Thu Aug  3 2000 Dmitry V. Levin <ldv@fandra.org> 2.10n-ipl1mdk
- 2.10n.
- Merge in RH and MDK patches.
- FHSification.

* Mon May 29 2000 Dmitry V. Levin <ldv@fandra.org> 2.10m-ipl1mdk
- 2.10m.
- RE adaptions.

* Wed Jan 26 2000 Dmitry V. Levin <ldv@fandra.org> 2.10e-1mdk.ldv
- Feature: added blockdev.
- Fix: dereferencing null in login.c
- Fandra adaptions.

